import { defineComponent as d, computed as l, createElementBlock as o, createCommentVNode as n, openBlock as s, createElementVNode as p, toDisplayString as r, unref as _ } from "vue";
import { useI18n as f } from "vue-i18n";
import { b as c } from "./image-value.json_vue_type_i18n_index_0_src_true_lang-CWHYrlaa.js";
import { o as g } from "./start-CE9SawgU.js";
const h = {
  key: 0,
  class: "d-flex align-center"
}, v = ["id", "src", "alt"], V = {
  key: 0,
  class: "ml-2"
}, i = /* @__PURE__ */ d({
  __name: "DatahubDataTypeImageValueRenderer",
  props: {
    row: {},
    rowIndex: {},
    cell: {},
    cellValue: {},
    dataTypeInstance: {},
    modelValue: {}
  },
  setup(u) {
    const a = u, { t: m } = f(), e = l(() => a.cellValue?.images?.[0]), t = l(() => a.cellValue?.images?.length - 1);
    return (b, y) => e.value ? (s(), o("div", h, [
      p("img", {
        id: String(e.value._E),
        src: e.value.rawThumbnail,
        alt: e.value.altText,
        width: "48",
        height: "48",
        class: "image"
      }, null, 8, v),
      t.value ? (s(), o("span", V, " +" + r(t.value) + " " + r(_(m)("datahub-plugin.image-value.files")), 1)) : n("", !0)
    ])) : n("", !0);
  }
});
typeof c == "function" && c(i);
const T = /* @__PURE__ */ g(i, [["__scopeId", "data-v-45dc2154"]]);
export {
  T as default
};
